<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
  <title> pcb-rnd rosetta hello world (GUI, with vbox) </title>
  <meta http-equiv="Content-Type" content="text/html;charset=us-ascii">
</head>
<body>
<!-- ******* DO NOT EDIT THIS FILE, it is generated by rosetta_genpages.sh ******* -->
&lt;-- back to the <a href="../index.html">index of Rosetta examples</a>
<h1>hello world (GUI, with vbox)</h1>
Create a new action hello() that prints "Hello world!" in vertical layout in a dialog box.
<H2> Example implementations </H2>
<a href="ex.awk">awk</a>
 | 
<a href="ex.lua">lua</a>
 | 
<a href="ex.pl">pl</a>
 | 
<a href="ex.py">py</a>
 | 
<a href="ex.tcl">tcl</a>
<h2> Explanation, step by step </h2>
Create a function 
<i>hello</i>
 that will be registered as an action. 
<p> When the action is called, build a dad dialog called "heldi", with a vertical box that contains two labels "Hello" and "world!". The vbox is closed by a "end" call to dad(). When the dialog is ran in modal mode, it will be open and block other pcb-rnd windows until the user closes it. 
<p> Tip #1: change "begin_vbox" to "begin_hbox" to get a horizontal layout. 
<p> Tip #2: boxes can be nested (but each box must have a corresponding "end"). 
<p> In the "main" section of the script, register the action using fgw_func_reg(). 
<p> More details on DAD: 
<a href="../../../../../developer/dad/index.html">DAD developer's doc</a>
 
</body>
</html>
